const MEMORY_SIZE: usize = 0x0800;

pub struct MemoryBus {
    ram: [u8; MEMORY_SIZE],
}

impl MemoryBus {
    pub fn new() -> Self {
        let ram = [0; MEMORY_SIZE];
        Self { ram }
    }
    
    /// Gets a byte from memory.
    ///
    /// # Arguments
    ///  * `addr` - The address of the byte
    pub fn get_byte(&self, addr: u16) -> u8 {
        unimplemented!("MemoryBus::get_byte");
    }

    /// Gets a word from memory.
    ///
    /// # Arguments
    ///  * `addr` - The address of the word
    pub fn get_word(&self, addr: u16) -> u16 {
        unimplemented!("MemoryBus::get_word");
    }

    /// Sets a byte in memory
    ///
    /// # Arguments
    ///  * `addr` - The address of the byte
    ///  * `value` - The value to set
    pub fn set_byte(&mut self, addr: u16, value: u8) {
        unimplemented!("MemoryBus::set_byte");
    }
}
